
Name: rhn-solaris-bootstrap
Summary: Satellite installer for rhn-solaris-bootstrap tarball container rpms
Group: RHN/Server
License: GPL
Version: 5.4.1
Release: 5%{?dist}
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Url: http://rhn.redhat.com

Source0: %{name}-%{version}.tar.gz
Patch0: rhn-solaris-bootstrap-5.4.1-1-to-rhn-solaris-bootstrap-5.4.1-1-sat.patch
Patch1: rhn-solaris-bootstrap-5.4.1-1-sat-to-rhn-solaris-bootstrap-5.4.1-2-sat.patch
Patch2: rhn-solaris-bootstrap-5.4.1-2-sat-to-rhn-solaris-bootstrap-5.4.1-3-sat.patch
Patch3: rhn-solaris-bootstrap-5.4.1-3-sat-to-rhn-solaris-bootstrap-5.4.1-4-sat.patch
Patch4: rhn-solaris-bootstrap-5.4.1-4-sat-to-rhn-solaris-bootstrap-5.4.1-5-sat.patch

# current release of the tarball rpm
%{expand:%%define lname %{name}}
%{expand:%%define lversion %{version}}
%{expand:%%define lrelease %(perl -e '($r, $d) = @ARGV; if ($l = length $d and substr($r, -$l) eq $d) { print substr($r, 0, length($r) - $l) } else { print $r }' %{release} %{?dist})}
%define rhn_solaris_bootstrap_container_name %(echo %{lname}_%{lversion}_%{lrelease} | tr '.-' '__')
Requires: %{rhn_solaris_bootstrap_container_name} = 1-1%{?dist}
BuildRequires: wget

%description
This is a stub rpm which has dependencies on the list of RHN Solaris
bootstrap tarball rpms to install on a satellite. When a satellite is
installed, this rpm will be installed and it will pull in all released
version of the Solaris tarball rpms.

%package -n %{rhn_solaris_bootstrap_container_name}
Summary: Container for a single release of rhn-solaris-bootstrap tarballs
Group: RHN/Server
#mask this line so tito will not try to increase it
%{expand:Version: 1}
%{expand:Release: 1%{?dist}}

%description -n %{rhn_solaris_bootstrap_container_name}
This creates an rpm which installs the RHN Solaris bootstrap tarball
in an accessible location on a satellite server.

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

cat external_sources | while read i paths ; do
	wget $i || exit 1
	j=`basename $i`
	mkdir -p $paths
	for p in $paths ; do cp $j $p/$j ; done
	rm $j
done

%build
make -f Makefile.bootstrap tarballs NAME=%{lname} VERSION=%{lversion} RELEASE=%{lrelease}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/var/www/html/pub/
cp %{lname}-%{lversion}-%{lrelease}-*.tar.gz $RPM_BUILD_ROOT/var/www/html/pub/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)

%files -n %{rhn_solaris_bootstrap_container_name}
%defattr(-,root,root)
/var/www/html/pub/*

%changelog
* Thu Jul 14 2011 Michael Mraka <michael.mraka@redhat.com> 5.4.1-5
- 559092 - updated RHATsmart pkgs

* Fri Jul 01 2011 Michael Mraka <michael.mraka@redhat.com> 5.4.1-4
- 559092 - updated RHATsmart pkgs

* Tue May 10 2011 Miroslav Suchý 5.4.1-1
- 673086 - update RHATossl to EL3 0.9.7a-33.26

* Fri May 22 2009 Jan Pazdziora 5.3.0-10
- 498079 - update RHATsmart to address the unzip issue

* Wed May 20 2009 Jan Pazdziora 5.3.0-9
- 467274 - update RHATossl package to 0.9.7a-33.24.rhn.9 to address
  the lib*.so.0.9.7 / lib*.so.0.9.7a issue

* Thu Apr 23 2009 Jan Pazdziora 5.3.0-8
- update RHATrpush package to 5.3.1-5.

* Mon Apr 20 2009 Jan Pazdziora 5.3.0-7
- update RHATrpush package to 5.3.1-3.

* Fri Mar 27 2009 Jan Pazdziora 5.3.0-6
- update RHATsmart packages to 5.3.0-1 (Sparc) and 5.3.0-2 (i386).

* Tue Mar 10 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.0-5
- update RHATrhnc pkgs for 5.3.0

* Fri Aug  8 2008 Jan Pazdziora 5.2.0-2
- reworked to generate both rpms from one source
- .pkgs are now put into .src.rpm
- the .spec is dist-cvs ready

* Fri Aug 5 2005 Jason Connor <jconnor@redhat.com> 4.0.0-24
- fixed requires on the current tarball rpm
- commented out previous tarball rpm requires until we have some that are
  released

* Thu Jul 21 2005 Joel Martin <jmartin@redhat.com> 4.0.0-19
- Change naming to allow install of older versions

* Tue Jul 12 2005 Joel Martin <jmartin@redhat.com> 4.0.0-17
- Initial creation
